Loading...
Searching...
No Matches
QXmppOmemoDevice Class Reference

The QXmppOmemoDevice class represents a XEP-0384: OMEMO Encryption device. More...

## Public Member Functions

| QXmppOmemoDevice ()
| QXmppOmemoDevice (const QXmppOmemoDevice &other)
| Copy-constructor.
| QXmppOmemoDevice (QXmppOmemoDevice &&) noexcept
| Move-constructor.
QXmppOmemoDevice & | operator= (const QXmppOmemoDevice &)
| Assignment operator.
QXmppOmemoDevice & | operator= (QXmppOmemoDevice &&)
| Move-assignment operator.
QString | jid () const
void | setJid (const QString &jid)
QString | label () const
void | setLabel (const QString &label)
QByteArray | keyId () const
void | setKeyId (const QByteArray &keyId)
QXmpp::TrustLevel | trustLevel () const
void | setTrustLevel (QXmpp::TrustLevel trustLevel)

## Detailed Description

The QXmppOmemoDevice class represents a XEP-0384: OMEMO Encryption device.

## Constructor & Destructor Documentation

## QXmppOmemoDevice()

QXmppOmemoDevice::QXmppOmemoDevice | ( |  | ) |

Constructs an OMEMO device.

## Member Function Documentation

## jid()

QString QXmppOmemoDevice::jid | ( |  | ) | const

Returns the device owner's bare JID.

Returns
  the bare JID

## keyId()

QByteArray QXmppOmemoDevice::keyId | ( |  | ) | const

Returns the ID of the public long-term key which never changes.

Returns
  public long-term key ID

## label()

QString QXmppOmemoDevice::label | ( |  | ) | const

Returns the human-readable string used to identify the device by users.

If no label is set, a default-constructed QString is returned.

Returns
  the label to identify the device

## setJid()

void QXmppOmemoDevice::setJid | ( | const QString & | jid | ) |

Sets the device owner's bare JID.

Parameters

  jid | bare JID of the device owner

## setKeyId()

void QXmppOmemoDevice::setKeyId | ( | const QByteArray & | keyId | ) |

Sets the ID of the public long-term key which never changes.

Parameters

  keyId | public long-term key ID

## setLabel()

void QXmppOmemoDevice::setLabel | ( | const QString & | label | ) |

Sets an optional human-readable string used to identify the device by users.

The label should not contain more than 53 characters.

Parameters

  label | label to identify the device

## setTrustLevel()

void QXmppOmemoDevice::setTrustLevel | ( | QXmpp::TrustLevel | trustLevel | ) |

Sets the trust level of the key.

Parameters

  trustLevel | key's trust level

## trustLevel()

TrustLevel QXmppOmemoDevice::trustLevel | ( |  | ) | const

Returns the trust level of the key.

Returns
  the key's trust level

The documentation for this class was generated from the following files:

- QXmppOmemoManager.h
- QXmppOmemoManager.cpp